<bugID>345280<Summary>bookmark position resets each time it is clicked</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1b1) Gecko/20060710 Firefox/2.0b1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1b1) Gecko/20060710 Firefox/2.0b1

in the bookmarks menu, in a folder that has lots of bookmarks a scroll bar appears at the end of the bookmarks list. when you scroll down to choose a bookmark from the end of the list and you revisit the same folder the position would have reset to the top bookmarks. 
in previous releases the bookmarks sub-menu would still have the previous position, and not reset to the top, which is a much more desirable behavior especially with long rss feeds.

Reproducible: Always

Steps to Reproduce:
1. go to a bookmarks folder that has a long list of bookmarks (rss feeds work as well)
2. choose a bookmark from the bottom ones
3. revisit the same bookmarks folder


Actual Results:  
the bookmarks' list position was rest to the top

Expected Results:  
the bookmarks' list position should have stayed at the bottom, or same place it was last</Description></bugID>